%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-noptify
Version:    0.0.3
Release:    7%{?dist}
Summary:    A wrapper for the nopt module with a commander-like API
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/mklabs/noptify
Source0:    http://registry.npmjs.org/noptify/-/noptify-%{version}.tgz
Source1:    https://raw.githubusercontent.com/mklabs/noptify/cfa11f776ddcd844a04982c0763df546621ce26a/LICENSE-MIT

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(nopt)
%endif

%description
%{summary}.


%prep
%setup -q -n package
cp -p %{SOURCE1} .

%nodejs_fixdep nopt


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/noptify
cp -pr package.json actions/ index.js util/ \
    %{buildroot}%{nodejs_sitelib}/noptify

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha --reporter spec
%endif


%files
%doc LICENSE-MIT readme.md
%{nodejs_sitelib}/noptify


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Oct 25 2015 Jared Smith <jsmith@fedoraproject.org> - 0.0.3-6
- Relax version requirements on npm(nopt)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 30 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.3-2
- add BR: npm(nopt)

* Sat Mar 29 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.3-1
- initial package
